(*
 * iocp c/s ͳ
 *)
unit iocp_base;

//
// ȫ record Ҫ packed ͣдٶȸ졣
//

interface

{$I in_iocp.inc}               

uses
  {$IFDEF DELPHI_XE7UP}
  Winapi.Windows, System.Classes, {$ELSE}
  Windows, Classes, {$ENDIF}
  iocp_Winsock2, iocp_wsExt, iocp_zlib;

type

  // շڴ;
  TIODataType = (
    ioAccept,                 // 
    ioReceive,                // 
    ioSend,                   // 
    {$IFDEF TRANSMIT_FILE}
    ioTransmit,               // TransmitFile 
    {$ENDIF}
    ioPush,                   // 
    ioDelete,                 // ɾ
    ioTimeOut,                // ʱ
    ioRefuse                  // ܾ
  );

  // TLinkRec.data ŵ
  TObjectType = (
    otEnvData,                // ͻ˹ռ
    otTaskInf,                // Ϣ              
    otIOData,                 // IO ṹ
    
    otSocket,                 // TIOCPSocket 
    otHttpSocket,             // THttpSocket 
    otStreamSocket,           // TStreamSocket 
    otWebSocket,              // TWebSocket 󣨱
    otBroker                  // 
  );

  // ˫ ṹ
  PLinkRec = ^TLinkRec;
  TLinkRec = record
    {$IFDEF DEBUG_MODE}
    No: Integer;              // ڵ
    {$ENDIF}
    Data: Pointer;            // κ
    Prev, Next: PLinkRec;     // ǰһڵ
    Auto: Boolean;            // Ƿ SetLength Զ
    InUsed: Boolean;          // Ƿռ
  end;

  //  IO ݽṹ_WSABUF

  PPerIOData = ^TPerIOData;
  TPerIOData = record
    Overlapped: TOverlapped;  // ڵһλ
    Data: TWsaBuf;            // Сַ
    IOType: TIODataType;      // ;
    Owner: TObject;           // TBaseSocket
    Node: PLinkRec;           // Ӧ PLinkRec
  end;

  // 
  //   v2.0 ȡЭ TServiceTypeݲȷЭ飬
  // չʱҪעⷶΧ
  //   TBusiWorker.ExecuteTRecvThread.HandleInMainThread

  TActionType = (
    // stEchoӦ
    atUnknown,                //0 δ֪

    // stCertify֤
    atUserLogin,              // ¼
    atUserLogout,             // Ͽǳ
    atUserRegister,           // עû
    atUserModify,             // ޸
    atUserDelete,             // ɾû
    atUserQuery,              // ѯ߿ͻ
    atUserState,              // ѯû״̬

    // stMessageıϢ
    atTextSend,               // ıϢ ++
    atTextPush,               // Ϣͻ
    atTextBroadcast,          // 㲥
    atTextGetMsg,             // ȡϢ
    atTextFileList,           // ȡϢļб

    // stFileļ
    atFileList,               // гĿ¼ļ
    atFileSetDir,             // õǰĿ¼
    atFileRename,             // ļ
    atFileRenameDir,          // Ŀ¼

    atFileDelete,             // ɾļ
    atFileDeleteDir,          // ɾĿ¼
    atFileMakeDir,            // ½Ŀ¼

    atFileDownload,           // ļ
    atFileUpload,             // ϴļ
    atFileDownChunk,          // һļϵأ
    atFileUpChunk,            // ϴһļϵϴ

    atFileUpShare,            // ϴʱ·
    atFileDownShare,          // ʱ·Ĺļ

    // stDatabaseݿ
    atDBGetConns,             // ѯݿ
    atDBConnect,              // ݿ
    atDBExecSQL,              // ִ SQL
    atDBExecQuery,            // ݿѯ
    atDBExecStoredProc,       // ִд洢
    atDBApplyUpdates,         // Delta ݿ

    // stCustomԶ
    atCallFunction,           // Զ̺
    atCustomAction,           // Զ壨TCustomClient 

    // ڲ
    atAfterReceive,           // ո
    atAfterSend,              // ͸
    atDisconnect,             // ǵǳĶϿ
    atServerEvent             // ¼
  );

  // /״̬

  TActionResult = (
    // ===== ͻ˲ =====
    arUnknown,                // δ

    arOK,                     // ɹ/
    arFail,                   // ʧ
    arCancel,                 // ȡ/ܾ
    
    // ״̬
    arEmpty,                  // Ϊ
    arExists,                 // Ѵ
    arMissing,                // /ʧ
    arOccupied,               // ռ
    arOutDate,                // ļ/ƾ֤

    // ݴ״̬
    arAccept,                 // 
    arRefuse,                 // ܾ
    arRequest,                // 

    // û״̬/
    arLogout,                 // ǳ 
    arOnline,                 // 
    arOffline,                // ߣδ¼

    arDeleted,                // ɾϿ
    arTimeOut,                // ʱر

    // ===== 쳣 =====
    arErrAnalyse,             // 쳣
    arErrBusy,                // ϵͳæ
    arErrHash,                // У
    arErrHashEx,              // ͻУ
    arErrInit,                // ʼ쳣
    arErrNoAnswer,            // Ӧ
    arErrPush,                // 쳣
    arErrUser,                // Ƿû
    arErrWork                // ִ쳣
  );

  // C/S Ϣ
  TMessageDataType  = (
    mdtHead,                  // Ϣͷ
    mdtEntity,                // ʵ
    mdtAttachment             // 
  );

  // C/S У
  TDataCheckType  = (
    ctNone,                   // У
    ctMD5,                    // MD 5
    ctMurmurHash              // MurmurHash
  );

  // C/S Ϣ״̬
  TMessagePackState = (
    msDefault,                // ûύ
    msAutoPost,               // Զύ
    msCancel                  // ȡ
  );

  {$IFDEF WIN_64}
  IOCP_LARGE_INTEGER = Int64;   // 64 bits
  {$ELSE}
  IOCP_LARGE_INTEGER = Integer; // 32 bits
  {$ENDIF}

  {$IFDEF DELPHI_7}
  TServerSocket = Int64;
  TMessageOwner = Int64;
  TMurmurHash   = Int64;
  {$ELSE}
  TServerSocket = UInt64;
  TMessageOwner = UInt64;     //  64+32 λϵͳ
  TMurmurHash   = UInt64;
  {$ENDIF}

  PMurmurHash   = ^TMurmurHash;
  
  TFileSize     = Int64;      // ִ֧ļ
  TIOCPMsgId    = Int64;      // 64 λ

  TActionTarget = Cardinal;   // ĿĶ
  TZipLevel     = TZCompressionLevel;

  // ϢЭͷ
  //   ޸ʱͬʱ޸ THeaderPack ĶӦֶ

  PMsgHead = ^TMsgHead;
  TMsgHead = record
    Owner: TMessageOwner;      // ߣ
    SessionId: Cardinal;       // ֤/¼ ID
    MsgId: TIOCPMsgId;         // Ϣ ID

    DataSize: Cardinal;        // Ϣԭʼȣ壩
    AttachSize: TFileSize;     // ļȣ
    Offset: TFileSize;         // ϵλ
    OffsetEnd: TFileSize;      // ϵĽλ

    CheckType: TDataCheckType; // У
    VarCount: Cardinal;        // Ϣı/Ԫظ
    ZipLevel: TZipLevel;       // ѹ

    Target: TActionTarget;     // ĿĶ
    Action: TActionType;       // 
    ActResult: TActionResult;  // 
  end;

  // =============== WebSocket  ===============

  // 
  TWSOpCode = (
    ocContinuation = 0,
    ocText         = 1,
    ocBiary        = 2,
    ocClose        = 8,
    ocPing         = 9,
    ocPong         = 10
  );

  // Ϣ
  TWSMsgType = (
    mtDefault,      // ׼ WebSocket ЭϢ
    mtJSON,         // չ JSON Ϣ
    mtAttachment    // չĸ
  );

  // 㲥Ŀ

  TBroadcastType = (
    btUnknown,      // 㲥
    btAllClient,    // ȫͻ
    btAdminOnly     // ֻԱ
  );

  // 
  PWSMask = ^TWSMask;
  TWSMask = array[0..3] of Byte;

  // ȣWebSocket ֡ṹͷ
  PWebSocketFrame = ^TWebSocketFrame;
  TWebSocketFrame = array[0..9] of AnsiChar; // 2+8

  PByteAry = ^TByteAry;
  TByteAry = array of Byte;

  // ű־ֶεĿռ
  PInIOCPJSONField = ^TInIOCPJSONField;
  TInIOCPJSONField = array[0..18] of AnsiChar;

  // ˫ֽڡֽ
  PDblChars = ^TDblChars;
  TDblChars = array[0..1] of AnsiChar;

  PThrChars = ^TThrChars;
  TThrChars = array[0..2] of AnsiChar;

  // ===============  ===============

  // ģʽλã

  TProxyType = (
    ptDefault,
    ptOuter
  );

  // Э

  TTransportProtocol = (
    tpNone,
    tpHTTP
  );

  TSocketBrokerType = (
    stDefault,
    stOuterSocket,
    stWebSocket
  );

  // ڲӱ־ӦInIOCP_INNER_SOCKET
  PInIOCPInnerSocket = ^TInIOCPInnerSocket;
  TInIOCPInnerSocket = array[0..18] of AnsiChar;

  // =============== Ԫ//ֶ/ ===============
  // תϢ

  // Ԫ//ֶ/ͣҪλã

  TElementType = (             // *11
    etNull,                    // ֵ
    etBoolean,                 // ߼
    etCardinal,                // ޷
    etFloat,                   // 
    etInteger,                 // 
    etInt64,                   // 64 λ
    // ת JSON ʱַ
    etDateTime,                // ʱ 8 ֽ
    etBuffer,                  // ڴ
    etString,                  // ַ
    etRecord,                  // ¼
    etStream                   // 
  );
  
  // б洢ʱϢ
  PListVariable = ^TListVariable;
  TListVariable = record
    EleType: TElementType;
    NameSize: SmallInt;
    case Integer of
      0: (BooleanValue: Boolean);
      1: (IntegerValue: Integer);
      2: (CardinalValue: Cardinal);
      3: (Int64Value: Int64);
      4: (FloatValue: Double);
      5: (DateTimeValue: TDateTime);
      6: (DataSize: Integer; Data: Pointer);  // ıȱ䳤
  end;

  // ڴеϢ
  PStreamVariable = ^TStreamVariable;
  TStreamVariable = record
    EleType: TElementType;
    NameSize: SmallInt;
    // ţName + DataSize + DataContent
  end;

  // ===============  Ϣ ===============

  // Ϣ
  // ǰֶβܸλã TTransmitFileBuffers һ

  PTransmitTask = ^TTransmitTask;
  TTransmitTask = record
    Head: Pointer;            // ȷ͵
    HeadLength: DWORD;
    Tail: Pointer;            // ͵
    TailLength: DWORD;
  
    // Դͷã
    Handle: THandle;          // ļ
    RefStr: AnsiString;       // ַ
    Stream: TStream;          // 󣬶Ӧ Head
    Stream2: TStream;         //  2Ӧ Tail

    // ȣλ
    Size: TFileSize;          // С
    Offset: TFileSize;        // ʼλ
    OffsetEnd: TFileSize;     // λ

    ObjType: TClass;          // 
    AutoFree: Boolean;        // Զͷ
  end;

  // =============== ͻ/ҵ񻷾 Ϣ ===============

  // ɫ/Ȩ
  TClientRole = (
    crUnknown = 0,            // δ¼û
    crClient  = 1,            // ͨ
    crAdmin   = 8,            // Ա
    crSuper   = 9             // Ա
  );

  // ûϢ
  // ˫ֽڻ String[n] Ҳǵֽ

  TNameString = string[30];

  PClientInfo = ^TClientInfo;
  TClientInfo = record
    Socket: TServerSocket;     // TIOCPSocket 64+32 λϵͳ
    Role: TClientRole;         // ɫȨ
    Name: TNameString;         // 
    LoginTime: TDateTime;      // ¼ʱ
    LogoutTime: TDateTime;     // ǳʱ
    PeerIPPort: TNameString;   // IP:Port
    Tag: TNameString;          // Ϣ
  end;

  // û
  PEnvironmentVar = ^TEnvironmentVar;
  TEnvironmentVar = record
    BaseInf: TClientInfo;      // Ϣ
    WorkDir: string[128];      // ·
    IniDirLen: Integer;        // ʼ·ȣã
    DBConnection: Integer;     // ģӱ
    ReuseSession: Boolean;     // ֤ͷţ
  end;

  // ¼
  PAttackInfo = ^TAttackInfo;
  TAttackInfo = record
    PeerIP: String[20];        // ͻ IP
    TickCount: Int64;          // µ UTC/_FILETIME ʱ
    Count: Integer;            // 
  end;

  // ==================== ƾ֤/ȫ ====================

  PCertifyNumber = ^TCertifyNumber;
  TCertifyNumber = record
    case Integer of
      0: (Session: Cardinal);
      1: (DayCount: SmallInt; Timeout: SmallInt);      
  end;

  // ==================== ̡߳ͳ ==================== 

  // ȫ ߳ ĸſṹ
  PWorkThreadSummary = ^TWorkThreadSummary;
  TWorkThreadSummary = record
    ThreadCount: LongInt;      // 
    WorkingCount: LongInt;     // 
    ActiveCount: LongInt;      // 

    PackCount: LongInt;        // ݰ
    PackInCount: LongInt;      // յݰ
    PackOutCount: LongInt;     // ݰ

    ByteCount: LongInt;        // λʱշֽ
    ByteInCount: LongInt;      // λʱֽ
    ByteOutCount: LongInt;     // λʱ䷢ֽ
  end;

  TWorkThreadMaxInf = record
    MaxPackIn: LongInt;        // յݰ
    MaxPackOut: LongInt;       // ݰ
    MaxByteIn: LongInt;        // ÿյֽ
    MaxByteOut: LongInt;       // ÿ뷢ֽ
  end;

  // һ ߳ ϸṹ
  PWorkThreadDetail = ^TWorkThreadDetail;
  TWorkThreadDetail = record
    Working: Boolean;          // ״̬
    Index: Integer;            // 

    PackCount: LongInt;        // ݰ
    PackInCount: LongInt;      // յݰ
    PackOutCount: LongInt;     // ݰ

    ByteCount: LongInt;        // λʱշֽ
    ByteInCount: LongInt;      // λʱֽ
    ByteOutCount: LongInt;     // λʱ䷢ֽ
  end;

const
  // ״̬
  SERVER_STOPED       = $00;         // ֹͣ
  SERVER_RUNNING      = $10;         // 
  SERVER_IGNORED      = $20;         // ԣ

  SOCKET_LOCK_FAIL    = 0;           // ʧ
  SOCKET_LOCK_OK      = 1;           // ɹ
  SOCKET_LOCK_CLOSE   = 2;           // Ѿرա

  IO_BUFFER_SIZE      = 8192;        // շ泤ȣŻֿ鷢ܴͣ65535쳣
  IO_BUFFER_SIZE_2    = 32768;       // ͻշ泤 4096 * 8

  DEFAULT_SVC_PORT    = 12302;       // Ĭ϶˿
  MAX_CLIENT_COUNT    = 300;         // Ԥͻ

  INI_SESSION_ID      = 1;           // ¼ƾ֤
  MAX_FILE_VAR_SIZE   = 5120000;     // ļͱ󳤶 5M

  SESSION_TIMEOUT     = 30;          // ƾ֤Чʱ䣬30 
  TIME_OUT_INTERVAL   = 180000;      // ӵʱ, 180 
  WAIT_MILLISECONDS   = 150000;       // ͻ˷ݺȴʱ

  INVALID_FILE_HANDLE = 0;           // Чļ INVALID_HANDLE_VALUE)

  // ϵ㴫ÿͳ
  //   ֵٶȿ죬Դ
  MAX_CHUNK_SIZE     = 65536;       // 64k

  MAX_CHECKCODE_SIZE = 52800000;    // ļ 52.8M ʱȡУ飨ļǳʱ
  OFFLINE_MSG_FLAG   = 2356795438;  // ϢļĿʼ־

  HASH_CODE_SIZE     = SizeOf(TMurmurHash); // Hash 
  MSG_HEAD_SIZE      = SizeOf(TMsgHead);    // Ϣͷ

  POINTER_SIZE       = SizeOf(Pointer);     // ָ볤
  NEW_TICKCOUNT      = Cardinal(not 0);     // Socket δչݵ״̬

  STREAM_VAR_SIZE    = SizeOf(TStreamVariable);// ı
  CLIENT_DATA_SIZE   = SizeOf(TClientInfo);    // ͻϢ

  // С
  TASK_SPACE_SIZE    = SizeOf(TTransmitTask) - SizeOf(TClass) - SizeOf(Boolean);

  // Socket ַС
  ADDRESS_SIZE_16    = SizeOf(TSockAddr) + 16;

  // Echo 
  ECHO_SVC_ACTIONS   = [atUnknown, atAfterReceive, atAfterSend, atServerEvent];

  // ϵ
  FILE_CHUNK_ACTIONS = [atFileDownChunk, atFileUpChunk];

  // C/S ģʽ־
  IOCP_SOCKET_FLAG   = AnsiString('IOCP/2.5'#32);
  IOCP_SOCKET_FLEN   = Cardinal(Length(IOCP_SOCKET_FLAG));
  IOCP_SOCKET_SIZE   = IOCP_SOCKET_FLEN + MSG_HEAD_SIZE;

  // C/S ģʽȡ
  IOCP_SOCKET_CANCEL = AnsiString('IOCP/2.5 CANCEL');
  IOCP_CANCEL_LENGTH = DWORD(Length(IOCP_SOCKET_CANCEL));

  // Ե㡢㲥Ϣ󳤶ȣHASH_CODE_SIZE * 4 = 2  MD5 
  BROADCAST_MAX_SIZE = IO_BUFFER_SIZE - IOCP_SOCKET_SIZE - HASH_CODE_SIZE * 4;

  // ================ webSocekt ====================

  // WebSocekt  MAGIC-GUID޸ģ
  WSOCKET_MAGIC_GUID = AnsiString('258EAFA5-E914-47DA-95CA-C5AB0DC85B11');

  // webSocekt Ĳ
  WEBSOCKET_OPCODES  = [0, 1, 2, 8, 9, 10];

  // InIOCP չ WebSocket  JSON ֶΣ=19Ҫģ
  // TBaseJSON.SaveToStream
  INIOCP_JSON_FLAG     = AnsiString('{"_InIOCP_Ver":2.5,');
  INIOCP_JSON_FLAG_LEN = Length(INIOCP_JSON_FLAG);

  // InIOCP չ WebSocket  JSON ֶΣ=19Ҫģ
  // TBaseJSON.SaveToStream
  JSON_CHARSET_DEF   = AnsiString('"_UTF8_CHARSET":0,"');  // Ĭַ
  JSON_CHARSET_UTF8  = AnsiString('"_UTF8_CHARSET":1,"');  // UTF-8

  // ================  ====================

  InIOCP_INNER_SOCKET = AnsiString('InIOCP_INNER_SOCKET');

implementation

var
  _WSAResult: Integer = 1;

procedure _WSAStartup;
var
  WSAData: TWSAData;
begin
  // ʼ Socket 
  _WSAResult := iocp_Winsock2.WSAStartup(WINSOCK_VERSION, WSAData);
end;

procedure _WSACleanUp;
begin
  //  Socket 
  if (_WSAResult = 0) then
    iocp_Winsock2.WSACleanUp;
end;

initialization
  _WSAStartup;

finalization
  _WSACleanUp;

end.
